Description

Hi,

| have created a database with spatialite_gui tool (spatialite version 4.3.0a), the database has some spatial views created with a code like
this

CREATE VIEW comunitorino AS

SELECT c.ROWID as rowid, c.cod_com, c.geometry

from comuni c;

INSERT INTO views_geometry columns

(view_name, view_geometry, view_rowid, f_table_name, f_geometry_column,read_only)
VALUES (‘comunitorino', 'geometry’, 'rowid', ‘comuni', '‘geometry’,1)

The view can be load in QGIS by 'add spatialite layer' button
The problem is that if | use DB Manager and open the DB the view will not be seen as spatial view.
If | create the same view in DB Manager with the "Create a view" button the view will be seen as spatial view.

| wrote in qgis user mailing list and | solved it adding an entry in geometry_columns table (for the view created with spatialite.

It would better to align the two qgis tools: 'add spatialite layer' button and DB manager; so that spatial views will be always seen correctly.

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-09-22 09:55 AM - Jiirgen Fischer
- Category set to Unknown

#3 - 2017-10-17 02:20 AM - Jiirgen Fischer
- Description updated
